Impossible de télécharger des mises à jour sous Linux debian "dpkg interrom

Résolu/Fermé
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 - 2 août 2021 à 18:03
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 - 2 août 2021 à 22:07
Bonsoir

Novice avec Linux, je n'arrive plus à mettre à jour des logiciels et outils installés sur mon pc.
j'utilise Linux Débian et j'ai 3 maj à effectuer :
Maj système d'exploitation
Firefox
Messagerie Thunderbird
Quand je lance le téléchargement des 3 maj comme je le faisais habituellement, j'ai le message suivant :

Impossible de télécharger les mises à jour:
E: dpkg a été interrompu. Il est nécessaire d'utiliser "dpkg --configure-a"
pour corriger le problème

J'ai essayé différentes options à partir d'une ligne de commande, mais ne maîtrisant absolument pas Linux, quelqu'un pourrait 'il me donner la procédure exacte à effectuer et comment lancer cette procédure.

Merci d'avance pour tous le commentaires et suggestions que vous ferez
Cordialement
Gérard
A voir également:

5 réponses

gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 9
Modifié le 2 août 2021 à 19:00
Je viens de lancer cette commande et voici la réponse :
j'ai saisi dpkg (un espace) -- (2 tirets du 6) configure (1 tiret du 6) a

gval@debian:~$ dpkg --configure-a
dpkg: erreur: option --configure-a inconnue

Utilisez « dpkg --help » pour obtenir de l'aide à propos de l'installation et la désinstallation des paquets [*] ;
Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale ;
Utilisez « dpkg -Dhelp » pour obtenir la liste des valeurs de drapeaux de débogage ;
Utilisez « dpkg --force-help » pour consulter la liste des options de forçage ;
Utilisez « dpkg-deb --help » pour obtenir de l'aide sur la manipulation des fichiers *.deb ;

Les options marquées d'un [*] affichent beaucoup d'informations : tubez-les à travers « less » ou « more ».
gval@debian:~$
0
barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024 4 911
2 août 2021 à 19:51
Cette commande nécessite peut-être d'être root :
sudo dpkg --configure-a


Si ça ne résout toujours pas le problème, il va falloir rechercher le paquet qui pose problème :
dpkg -l | grep -v "^ii"
0
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 9 > barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024
2 août 2021 à 20:00
désolé mais toujours en erreur.
le fait de saisir sudo devant la commande me positionne en "root"?
voici les messages reçus :

gval@debian:~$ sudo dpkg --configure-a
dpkg: erreur: option --configure-a inconnue

Utilisez « dpkg --help » pour obtenir de l'aide à propos de l'installation et la désinstallation des paquets [*] ;
Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale ;
Utilisez « dpkg -Dhelp » pour obtenir la liste des valeurs de drapeaux de débogage ;
Utilisez « dpkg --force-help » pour consulter la liste des options de forçage ;
Utilisez « dpkg-deb --help » pour obtenir de l'aide sur la manipulation des fichiers *.deb ;

Les options marquées d'un [*] affichent beaucoup d'informations : tubez-les à travers « less » ou « more ».
gval@debian:~$ dpkg -l | grep -v "^ii"
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom Version Architecture Description
+++-=====================================-============================================-============-===============================================================================
rc backintime-common 1.1.24-0.1 all simple backup/snapshot system (common files)
rc backintime-qt4 1.1.24-0.1 all simple backup/snapshot system (graphical interface)
it ca-certificates 20200601~deb10u2 all Common CA certificates
iU ca-certificates-java 20190405 all Common CA certificates (JKS keystore)
iU default-jre 2:1.11-71 amd64 Standard Java or Java compatible Runtime
iU default-jre-headless 2:1.11-71 amd64 Standard Java or Java compatible Runtime (headless)
rc deja-dup 38.3-1 amd64 Backup utility
it desktop-file-utils 0.23-4 amd64 Utilities for .desktop files
it gnome-menus 3.31.4-3 amd64 GNOME implementation of the freedesktop menu specification
it hicolor-icon-theme 0.17-2 all default fallback theme for FreeDesktop.org icon themes
iU libatk-wrapper-java 0.33.3-22 all ATK implementation for Java using JNI
iU libatk-wrapper-java-jni:amd64 0.33.3-22 amd64 ATK implementation for Java using JNI (JNI bindings)
it libc-bin 2.28-10 amd64 GNU C Library: Binaries
iU libnotify-bin 0.7.7-4 amd64 sends desktop notifications to a notification daemon (Utilities)
iU libtrove-java 2.1.0-3 all high performance collections for java
it man-db 2.8.5-2 amd64 on-line manual pager
it mime-support 3.62 all MIME files 'mime.types' & 'mailcap', and support programs
iU openjdk-11-jre:amd64 11.0.12+7-2~deb10u1 amd64 OpenJDK Java runtime, using Hotspot JIT
iU openjdk-11-jre-headless:amd64 11.0.12+7-2~deb10u1 amd64 OpenJDK Java runtime, using Hotspot JIT (headless)
iU selektor 3.13.72-2 all Tor exit node selector and traffic router
iU shim-signed:amd64 1.36~1+deb10u2+15.4-5~deb10u1 amd64 Secure Boot chain-loading bootloader (Microsoft-signed binary)
iF shim-signed-common 1.36~1+deb10u2+15.4-5~deb10u1 all Secure Boot chain-loading bootloader (common helper scripts)
it systemd 241-7~deb10u7 amd64 system and service manager
iU tor 0.3.5.15-1 amd64 anonymizing overlay network for TCP
iU tor-geoipdb 0.3.5.15-1 all GeoIP database for Tor
iU torsocks 2.3.0-2 amd64 use SOCKS-friendly applications with Tor
gval@debian:~$
0
Bonjour,

Il y a un espace entre configure et le -a

sudo dpkg --configure -a


En tant qu'utilisateur linux, tu devrais avoir le réflexe du man.

man dpkg


Là tu aurais vu la syntaxe correcte =)
0
barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024 4 911
2 août 2021 à 20:17
Bien vu !
0
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 9 > barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024
2 août 2021 à 20:55
Oui effectivement mais c'est un ami qui m'a installé linux il y a peu de temps et je n'ai pas eu le temps encore de m'y pencher ni de prendre quelques cours auprès de cet utilisateur qui connait bien Linux Debian.

Bon, ça avance mais ce n'est pas encore ça. Il me faut les privilèges de super utilisateur maintenant :

gval@debian:~$ dpkg --configure -a
dpkg: erreur: l'opération demandée requiert les privilèges du superutilisateur
gval@debian:~$
0
barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024 4 911 > gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023
2 août 2021 à 21:04
Donc :
sudo dpkg --configure -a
0
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 9
2 août 2021 à 21:13
ça a bien fonctionné merci. Par contre pourriez vous m'éclairer un peu plus sur le "secure boot" qui est "activé" ?

voici la fenêtre que j'ai ;

Configuration du « Secure Boot » de l'UEFI (Démarrage Sécurisé) ├───────────────────────────────────────────┐
│ │
│ Votre système a le « Secure Boot » de l'UEFI activé. │
│ │
│ Le « Secure Boot » de l'UEFI n'est pas compatible avec l'utilisation de pilotes tiers. │
│ │
│ Le système va vous assister pour basculer en mode « Secure Boot » de l'UEFI. Pour vous assurer que cette modification est effectuée en tant │
│ qu'utilisateur autorisé, et non par un attaquant, vous devez choisir un mot de passe maintenant et utiliser le même mot de passe après le redémarrage │
│ pour confirmer le changement. │
│ │
│ Si vous décidez de poursuivre mais ne confirmez pas le mot de passe lors du redémarrage, la configuration du « Secure Boot » ne sera pas modifiée, et │
│ le système continuera de démarrer comme avant. │
│ │
│ Si le « Secure Boot » reste activé sur votre système, celui-ci peut démarrer mais les périphériques ayant besoin de pilotes tiers pour fonctionner │
│ pourraient être inutilisables. │
│ │
│ <Ok> │
0
barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024 4 911
Modifié le 2 août 2021 à 21:35
Le message n'est pas très clair dans le sens où d'abord il sous-entend que le secure boot n'est pas activé puis ensuite il suggère l'inverse.

Si ça fonctionne bien jusqu'à maintenant, je recommande de ne rien modifier. Chez moi il est désactivé, comme ça il ne me casse pas les pieds si je veux changer de système.

Pour les explications c'est par ici : https://lecrabeinfo.net/desactiver-secure-boot-windows-carte-mere-uefi.html
0
gégé31250 Messages postés 186 Date d'inscription mercredi 20 novembre 2013 Statut Membre Dernière intervention 29 mai 2023 9
2 août 2021 à 22:07
Merci pour tout car ça a bien fonctionné.
Mon sécure boot était activé et je l'ai laissé activé.
Le système a demandé un redémarrage avec installation des maj et tout s'est remis en place avec les dernières maj.
J'ai bien noté pour une prochaine fois si cela se reproduisait !!!!
Merci encore et bonne fin de soirée
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
barnabe0057 Messages postés 14450 Date d'inscription lundi 2 mars 2009 Statut Contributeur Dernière intervention 15 juin 2024 4 911
2 août 2021 à 18:37
Bonjour,

Ouvrez un terminal et tapez cette commande :
dpkg --configure-a


Ensuite le problème devrait être corrigé.

-1